CS4 with Mac High Sierra

New Here ,
Sep 26, 2017 Sep 26, 2017

Copy link to clipboard

Copied

I've been using CS4 Creative Suite for several years and with every system upgrade I worry that I won't be able to continue using it.  (I don't use it regularly but I have important documents that I need to access periodically).  I just updated my MacBook Pro to the latest OS, High Sierra.  During the installation, I was prompted to upgrade Java to be able to use InDesign which I did and that installation was successful.  Today, I tried to open an InDesign doc.  In Design opened (finally) but the doc did not open (the name shows up at the top of the window, but nothing else is visible.

TOPICS
Performance

Views

46.9K

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Adobe Community Professional , Sep 26, 2017 Sep 26, 2017
You should be aware that even current software will (and in the Case of CC 2017 InDesign DOES) have potential problems running on the first version of a new OS. CS4 has not been supported for at least two versions of the Mac OS so the only probable way that you'll be able to fix this is to roll back your OS (I think Yosemite was the last version to support CS4 but I could be wrong about that).

Likes

translate

Translate

Translate
Most Valuable Participant ,
Feb 27, 2018 Feb 27, 2018

Copy link to clipboard

Copied

Why? What possible motivation do they have?

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Feb 27, 2018 Feb 27, 2018

Copy link to clipboard

Copied

Please their customers, right now it seems Adobe is alienating same by not.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Feb 27, 2018 Feb 27, 2018

Copy link to clipboard

Copied

If you’re still using CS4 you’re not a customer.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 12, 2017 Nov 12, 2017

Copy link to clipboard

Copied

I have an MacBook 2010, and CS4 was running on it with Snow Leopard. Then, I did a few upgrades—NOT CLEAN INSTALLS—first to Mountain Lion, than El Capitan, and finally to Sierra.

All my CS4 suite apps are working without a hitch.

In short, Sierra should be fully compatible with CS4. There is no need to go to down to Yosemite.

However, I would not upgrade to High Sierra right now, and will follow this thread to monitor when is safe to do it.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Nov 12, 2017 Nov 12, 2017

Copy link to clipboard

Copied

You’ve tempted fate up til this point and gotten away with it. Despite that, there is no way you can assure anyone else that it will work.

I have no dog in this fight but lurkers need to be warned. The chances of getting CS4 to work on anything beyond Yosemite get smaller and smaller with each new Apple update.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 13, 2017 Nov 13, 2017

Copy link to clipboard

Copied

Fair enough.

I just wanted to point out my own experience using upgrades instead of clean installs. Seems that upgrades up to Sierra are reasonable suggestion that may cause less headaches later for CS4 users.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 13, 2017 Nov 13, 2017

Copy link to clipboard

Copied

To use legacy applications on recent versions of OSX you have to install the legacy version of Java. Here's the legacy download page for High Sierra:

Download Java for OS X 2017-001

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 19, 2017 Nov 19, 2017

Copy link to clipboard

Copied

It is not necessary to install the (insecure) legacy version of Java. CS4 asks for it but, AFAIK, doesn't actually use it. You can trick CS4 into thinking it's installed by creating empty folders as per this in-depth discussion and instructions (scroll down to Workarounds section):

https://www.macstrategy.com/article.php?135

See also:

Adobe Illustrator CS6 with Java 8? - Ask Different

Which includes  instructions for making a symbolic link to a newer version of Java if you have it installed. I haven't bothered trying this, as there doesn't seem to be any need for Java with CS4.

Here's what you should end up with (deploy.bundle is a folder. OS X just thinks it's a bundle because of the extension):

Screen Shot 2017-11-19 at 1.09.43 PM.png

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 08, 2017 Dec 08, 2017

Copy link to clipboard

Copied

I just got a brand new iMac 2017 with HighSierra pre-installed. I had a minor annoyance installing Photoshop CS4 but managed to get everything installed and running perfectly fine.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 08, 2017 Dec 08, 2017

Copy link to clipboard

Copied

What version? I have 10.13.2 and get a message the license has stopped working Error 150:30. from what I read, try to reinstall. So I downloaded CS4 again. Got a message the file system in the DMG file was not compatible in this operating system.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 08, 2017 Dec 08, 2017

Copy link to clipboard

Copied

I have 10.13.2 as well. The setup was the only issue I ran into. You just have to Right click on the setup and select "Show Package Contents" and from there navigate into Contents > MacOS and run the setup file.

Screen Shot 2017-12-08 at 5.39.18 PM.png

Screen Shot 2017-12-08 at 5.41.16 PM.png

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Dec 08, 2017 Dec 08, 2017

Copy link to clipboard

Copied

Awesome! Learned something today. Thank you, batnert!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 13, 2018 Feb 13, 2018

Copy link to clipboard

Copied

Thank you!  This worked perfectly for me and all apps are now installed and operating on High Sierra.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

Thank you so much! This was so helpful!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

It's the truth. If all of their customers were as loyal as you, they'd have gone out of business years ago.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

Hey all - thanks for you feedback.  At least I now know I was tilting and windmills and need to save my time and energy.

It seems counter-intuitive to get the latest and greatest computer, only to find out I need to back step on my OS to get my ID to work.  CS4 was not a cheap product - to sell at that price and discontinue support so soon is truly disappointing.  But I share Bob's cynicism that Adobe will not do anything about it.

However, from  a strict business standpoint, Adobe's view is shortsighted.  I mostly work in PS and AI, and only occasionally need ID.  I do not want to pay every month just for those times I need ID.  So Adobe may think by not supporting CS4 it will force people to buy the subscriptions and thereby make more money, but this is one customer they will lose.  I really like Adobe's design suite, but this is not the first time I have found Adobe's service wanting, which is as critical to me as the product itself.

What's crazy to me, is that a solution seems so obvious - why can't they charge for the update? A reasonable amount, mind you!  Right now they will get no money from me and they will likely lose me as a customer eventually, or they could make some money off of me.  If I could amortize my CS4 suite over a couple more years, I would feel like I got my moneys worth and wouldn't be so reluctant to move to the subscription.  But as it stands, I have zero interest in moving to the subscriptions - feels too much like undue coercion.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

I do have a certain sense of loyalty to Adobe and as I would a close friend, I'd forgive her/him their faults. All the work I've been able to do, which I have loved doing for years, I couldn't have done without PS or AI. I'll forever be thankful to them despite this cheap shot of disabling the use of AI and ID. Shame, Adobe!

As mentioned in my earlier posting I was able to buy a new iMac from Apple with Sierra OS, so will still be able to use InDesign and Illustrator, YES!  I'll not be upgrading the OS for a very long time! Now to get rid of the continuous littering of my screen re updating to  High Sierra. Any ideas?

Only good thing about High Sierra as far as I'm concerned was the wallpaper/screensaver that came with it, a beautiful evening shot of Yosemite. Took a screenshot of it while transferring data from my old iMac and and am using it on my new.

Yes, BobLevine, I am still an optimist. Being a pessimist in this world at this time, would be for me intolerable. I'd go to Antartica and live with the penguins!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

Where would you draw the line? Photoshop 1 thru 7 will not run on any version of OSX. Should Adobe update PS 7 to run on the latest OS?

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

I was running PS6 on High Sierra without a problem for about a month on individual files until I started a new job working fast and furiously on photos for a slide show for my client and was constantly going back and forth between Google Drive, PPT, and Photoshop downloading photos and creating composites. One photo became an artifact popping up when I hadn't selected it and in various places on the screen. Totally unnerving. I trashed the photo & emptied the trash, but it kept recurring, then the video board began to crash--saw some nice patterns and colors and combinations of same on the screen but not what I expected to see. Thankfully it came back to life sporadically as long as I didn't open Photoshop and was able to begin the transfer of data over to the new iMac.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

I was running PS6 on High Sierra

You mean CS6 which is version 13. PS 6 would only run on OS9 or classic mode

Adobe Photoshop version history - Wikipedia

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

Brain washout! YES you are RIGHT CS 6!!!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Feb 28, 2018 Feb 28, 2018

Copy link to clipboard

Copied

CS4 is almost 10 years old! Find me another piece of software still supported for that long.

You want them to support you forever at no cost? That's not shortsighted, it's good business sense.

How many of your clients get free updates for 10 years? People talk about corporate greed, but "customer" greed is a real thing, too.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Mar 01, 2018 Mar 01, 2018

Copy link to clipboard

Copied

Wow Bob - I get the impression you work for Adobe! Clearly taking this personally, really defensive and misstating facts. 

I have had CS4 for just over 7 years (yes, I bought it from Adobe), not 10, and Adobe isn't just discontinuing support for CS4, but for CS5 and CS6 as well. When I tried obtaining help from Adobe's ID support group, they made it clear they would only talk to me if I had Creative Cloud.  That means one could have paid around $1,800 for a program and only received support for about 4.5 years!  And, as mentioned, I spent 2.5 hours on the phone with their installation department (unsuccessfully), and at no time was I informed that ID is incompatible with High Seirra. Total waste of time for me and the Adobe Staff.  If you want to call that good service, then you and I can just agree to disagree on what good service is.

Also, I clearly stated that a reasonable charge for the update would be a solution, I -- nor did I see anyone else in this thread -- mention we should all get updates "forever at no cost". 

Ask yourself why Microsoft is still offering an outright purchase of Office, in addition to subscriptions. Obviously someone else believes that the scorched earth subscription-only strategy might not be the best strategy.

And, by the way, I do have programs that are ten years old and supported!

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Mar 01, 2018 Mar 01, 2018

Copy link to clipboard

Copied

It was released in October of 2008. That is 9.5 years ago. When you bought it is irrelevant. It, like all software applications was designed to run the hardware and operating systems available at the time.

Do you have any idea what it would cost to patch a ten year old application to run on a new operating system? Trust me, you wouldn’t want to pay it.

If you don’t want to move to Creative Cloud, and there are many others that don’t, I strongly urge you to look at the alternative applications out there. You are NEVER going to get what you want from Adobe.

If you came here looking for some magic bullet, I really am sorry that you’re disappointed but I deal in facts, not fantasy.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 05, 2018 Jul 05, 2018

Copy link to clipboard

Copied

HI all -- I too have been having a hard time getting any help from Adobe with CS4 in relation to updates of my MAC OS for software I made a $1700 investment in. I was under the apparently wrong assumption, like it seems many here, that Adobe would support that investment by updating and upgrading their customers as other software co's do. I understand the need to support advanced development -- but it has taken me over 1 year to finally get someone who at least cared to try to address this issue for me. Unfortunately, I still cannot get Acrobat 9 to work on my newer Macs.

To make snarky comments that if you have CS4 "your not a customer" is not something someone posing as an MVP should advise a customer who is frustrated. Good companies do right by their customers -- no matter their resources, and if we're still using CS4 it's likely that's all we can afford. At the very least, Adobe could offer discounted upgrade fees --

This came up for me again when I tried a trial version of Adobe Premiere -- why would I purchase another Adobe product, only to find the support wanting? There is Final Cut X and Avid out there too --

Here's hoping someone at Adobe cares enough to keep every customer -- and looks at these threads.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines